# resolve-QName

Expands a lexical QName using the in-scope namespaces from the given element

resolve-QName($qname as xs:string?, $element as element()) → xs:QName?

Arguments
| $qname | xs:string? | The lexical QName to be expanded
| $element | element() | The element whose in-scope namespaces determine how the QName is expanded
Result | xs:QName?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next